### Method

# Fwupd Client emulation_load

since: 2.0.0

#### Declaration [src]

    gboolean
    fwupd_client_emulation_load (
      FwupdClient* self,
      const gchar* filename,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads an emulated device into the daemon backend that has the phases set by the JSON data, for instance, having one USB device emulated for the bootloader and another emulated for the runtime interface.

Available since: 2.0.0

#### Parameters

`filename`

  Type: `const gchar*`

  Archive data of JSON files.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.